<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Table Multiplication</title>

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css"
        integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

</head>

<body>
    <div class="mt-md-5">
        <div class="pl-sm-5">
            <div class="pr-sm-5">
                <h3 align="center">TEST CRUD TIDB MULTI THREAD</h3>
                <br>
                <hr>
                <form method="POST" class="form-row">
                    {% csrf_token %}
                    <div class="form-group mr-1">
                        <!-- <label for="exampleInputEmail1">Number thread</label> -->
                        <input type="number" class="form-control" name="num" required="" id="id_num"
                            aria-describedby="emailHelp">
                    </div>
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary">CREATE</button>
                        <button type="submit" class="btn btn-info">UPDATE</button>
                        <button type="submit" class="btn btn-danger">DELETE</button>
                    </div>
                </form>
                <br>
                <hr>
                <p>Number to print its multiplication table:{{Number}}</p>
                <br>
                <hr>
                {% for x in range %}
                {{ Number }} x {{x}} = {% widthratio Number 1 x %} <br>
                {% endfor %}
            </div>
        </div>
    </div>

    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/js/bootstrap.min.js"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        crossorigin="anonymous"></script>
</body>

</html>